Skip to main content
GET
/
valorant
/
v1
/
status
/
{affinity}
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/status/{affinity}
import requests

url = "https://api.henrikdev.xyz/valorant/v1/status/{affinity}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/status/{affinity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "incidents": [
      {
        "created_at": "<string>",
        "id": 1,
        "incident_severity": "<string>",
        "platforms": [
          "<string>"
        ],
        "titles": [
          {
            "content": "<string>",
            "locale": "<string>"
          }
        ],
        "updates": [
          {
            "author": "<string>",
            "created_at": "<string>",
            "id": 1,
            "publish": true,
            "publish_locations": [
              "<string>"
            ],
            "translations": [
              {
                "content": "<string>",
                "locale": "<string>"
              }
            ],
            "updated_at": "<string>"
          }
        ],
        "archive_at": "<string>",
        "maintenance_status": "<string>",
        "updated_at": "<string>"
      }
    ],
    "maintenances": [
      {
        "created_at": "<string>",
        "id": 1,
        "incident_severity": "<string>",
        "platforms": [
          "<string>"
        ],
        "titles": [
          {
            "content": "<string>",
            "locale": "<string>"
          }
        ],
        "updates": [
          {
            "author": "<string>",
            "created_at": "<string>",
            "id": 1,
            "publish": true,
            "publish_locations": [
              "<string>"
            ],
            "translations": [
              {
                "content": "<string>",
                "locale": "<string>"
              }
            ],
            "updated_at": "<string>"
          }
        ],
        "archive_at": "<string>",
        "maintenance_status": "<string>",
        "updated_at": "<string>"
      }
    ]
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

Response

Status retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0